    Program f01fcfe

!     F01FCF Example Program Text
!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: f01fcf, nag_wp, x04daf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Integer                          :: i, ierr, ifail, lda, n
!     .. Local Arrays ..
      Complex (Kind=nag_wp), Allocatable :: a(:,:)
!     .. Executable Statements ..
      Write (nout,*) 'F01FCF Example Program Results'
      Write (nout,*)
      Flush (nout)
!     Skip heading in data file
      Read (nin,*)
      Read (nin,*) n

      lda = n
      Allocate (a(lda,n))

!     Read A from data file

      Read (nin,*)(a(i,1:n),i=1,n)

!     Find exp( A )

      ifail = 0
      Call f01fcf(n,a,lda,ifail)

!     Print solution

      ierr = 0
      Call x04daf('General',' ',n,n,a,lda,'Exp(A)',ierr)

    End Program f01fcfe
